package be.iminds.ilabt.jfed.espec.model;

import javax.annotation.Nonnull;
import javax.annotation.Nullable;
import java.util.Collections;
import java.util.List;

/**
 * AnsiblePlaybookSpec
 */
public class AnsibleGalaxySpec extends UploadLikeWithLogSpec {
    public AnsibleGalaxySpec(@Nullable FileSource source,
                             @Nullable String path,
                             @Nullable String permissions,
                             @Nullable String log) {
        //nodes is special: always only on ansible node
        //                  value is ignored, but we put something anyway because null would mean ALL nodes and that's also not correct
        super(source, path, permissions == null ? "u=rwx" : permissions, Collections.singletonList("$ANSIBLE_NODE$"), log);
    }
}
